X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Firefox 4 Beta 12 Proxy Authentication Issue

Posted

When I use FF4 Beta 12 behind a proxy, I cannot authenticate to my proxy (FF keeps prompting me).

Betas 1-11 work fine (posting this from Beta 11) with the same proxy.

Additional System Details

This happened

Every time Firefox opened

This started when...

I upgraded to Beta 12.

Installed Plug-ins

  • Shockwave Flash 10.0 r32
  • Adobe Shockwave for Director Netscape plug-in, version 11.0
  • 3.0.40818.0
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Adobe PDF Plug-In For Firefox and Netscape "9.3.3"

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:2.0b11) Gecko/20110203 Firefox/4.0b11

More Information

N/A (posting from different beta). Win32 (XP) platform.

Cheng Wang
  • Administrator
  • Moderator
36 solutions 435 answers

Helpful Reply

We're aware of this problem and it has something to do with NTLM proxies. The Firefox developers who are looking at this need a little more information to find the best fix.

In particular, we need the following:

  • What https sites don't work? Does https://addons.mozilla.com work? Does sync work? How about paypal?
  • More information about the proxy server you're using. There are unfortunately dozens of different server configs/certs out there and while we DO have testing for some cases, it's not all of them.
  • We also need people to test try builds (that is builds where we attempted to fix the problem) to see if it fixes it for you.

If you're willing to have one of our developers contact you via email just say so here. Since I'm an admin for this site, I can look up your email address and pass it to the devs. Please don't post your email address publicly.

Question owner

Thanks for the reply!

No https sites work. It's a corporate proxy so I don't have a lot of info unfortunately. I tried the March 1 nightly and its still broken.

Beta 11 works fine, shouldn't it be a relatively simple task to compare auth code between versions?

Happy for a dev to contact me.

Modified by galapogos01

Question owner

This bug is fixed in the latest nightly ( http://forums.mozillazine.org/viewtopic.php?f=23&t=2118551 ). Thanks for your help.

Cheng Wang
  • Administrator
  • Moderator
36 solutions 435 answers

Can you test this build also:

http://ftp.mozilla.org/pub/mozilla.or.../firefox-4.0b13pre.en-US.win32.installer.exe

Install that somewhere (not in your current install directory), quit all open Firefox instances and try it. Let me know if it works.

It's the changeset we're thinking of taking for RC1.

Modified by Cheng Wang

Question owner

Your link is truncated and doesn't work (see the '...'). Happy to test another build :)

Cheng Wang
  • Administrator
  • Moderator
36 solutions 435 answers

Ooops, try again, I copy-pasted funny.

Question owner

No problem.

Just tested, that build is working fine for me. Slight UI change to the tab bar though, the tabs are higher.

Modified by galapogos01